Download it now!
Bug 39445 - write tools/ pieces out
Summary: write tools/ pieces out
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Krisztian Pinter
URL:
Whiteboard: target:4.1.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2011-07-21 08:31 UTC by Björn Michaelsen
Modified: 2015-12-15 16:21 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2011-07-21 08:31:13 UTC
==== write tools/ pieces out ====

'''Background:''' tools is a library packed full of deprecated code, that has equivalents in sal/ (the system abstraction layer). Of course the sal/ versions are often less usable than the tools/ version, so some API improvements may be required on the way too. A good place to start might be to audit and remove all uses of:

tools/source/fsys/dirent.cxx - and associated types, in favour of (and while improving) sal/inc/osl/file.hxx osl::Directory etc.

This should (most likely) be done a module / call site at a time. Se status for sc on [[Easy Hacks - Remove tools - calc]]

'''Skills:''' building, simple C++ programming, test
Comment 1 August Sodora 2011-11-18 12:24:27 UTC
Another good one is tools/stack with the stl stack.

To find places where tools/stack is included: http://opengrok.libreoffice.org/search?q=tools%2Fstack&project=core&defs=&refs=&path=&hist=
Comment 2 Eike Rathke 2011-12-02 04:38:39 UTC
Note that for tools' container types there's a separate EasyHack bug 38832.
Comment 3 Commit Notification 2013-03-14 10:38:47 UTC
Krisztian Pinter committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de99bcde8a66a410287c7fb9c4ae6d6c9b7f05a6

fdo#39445 writing out tools/fsys.hxx



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-03-19 17:28:10 UTC
Krisztian Pinter committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cd49ebe1aab8c2d05243f7ac96183fb77ea0a819

fdo#39445 writing out tools/fsys.hxx (basic)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-03-19 20:47:05 UTC
Krisztian Pinter committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=768dee2c32d4da440f1f05c70beb8f668b1364a1

fdo#39445 writing out tools/fsys.hxx (rsc)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-03-19 20:53:38 UTC
Krisztian Pinter committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0173e89ca254a18953615c07864d1da22e5149b5

fdo#39445 writing out tools/fsys.hxx (sot)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-03-19 21:46:59 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=438efb38ec42f9c342342925236cf8ea1eada9fc

fdo#39445 writing out tools/fsys.hxx (basic)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-03-19 21:58:37 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=332a93435fc5757532d0b93b38aaf9fe1c9ca0f5

fdo#39445 writing out tools/fsys.hxx (linguistic)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2013-03-25 13:14:26 UTC
Krisztian Pinter committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eec2eb05a22966de319ecf370b0c880d7b83a79a

fdo#39445 writing out tools/fsys.hxx (idl)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-03-27 08:36:37 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fee08758d149b6d681952c3ac95e195da7cfa6bc

fdo#39445 writing out tools/fsys.hxx (rsc)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-03-27 15:33:17 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=91aaceb7275fe8aa163629646de4c3dc7c1c02b3

fdo#39445 writing out tools/fsys.hxx (forms)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Andras Timar 2013-04-04 19:26:17 UTC
tools/fsys.hxx is not used anywhere outside of tools/ itself.
tools/stack.hxx was fully removed.

I think this bug should be marked as fixed. I don't like open-ended problems, like this "write tools/ pieces out" - what pieces, when can we say we are done etc. Let's open new bugs for the remaining cleanup tasks.
Comment 13 Michael Meeks 2013-04-05 10:32:41 UTC
> I think this bug should be marked as fixed.

Agreed - thanks for that - I filed another tools/ cleanup easy-hack around solar.h bug#63154 to continue the work.

Nice work.
Comment 14 Robinson Tryon (qubit) 2015-12-15 16:21:52 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillCpp )
[NinjaEdit]